Index: /trunk/src/world_entities/test_entity.cc
===================================================================
--- /trunk/src/world_entities/test_entity.cc	(revision 9926)
+++ /trunk/src/world_entities/test_entity.cc	(revision 9927)
@@ -12,5 +12,5 @@
 
    ### File Specific
-   main-programmer: Patrick Boenzli
+   main-programmer:
    co-programmer:
 */
@@ -22,12 +22,10 @@
 #include "util/loading/load_param.h"
 
-#include "kill.h"
-#include "game_rules.h"
 
 #include "test_entity.h"
 #include "debug.h"
 
-#include "interactive_model.h"
-#include "md2/md2Model.h"
+
+
 
 #include "state.h"
@@ -39,46 +37,43 @@
 CREATE_FACTORY(TestEntity);
 
-#include "script_class.h"
-CREATE_SCRIPTABLE_CLASS(TestEntity,
-                        addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
-                        ->addMethod("getAbsCoorX", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorX))
-                        ->addMethod("getAbsCoorY", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorY))
-                        ->addMethod("getAbsCoorZ", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorZ))
-                       );
 
 
+/**
+ *
+ */
 TestEntity::TestEntity ()
 {
   this->init();
-  this->md2Model = new MD2Model("models/droidika.md2", "models/droideka.pcx");
 }
 
 
-//   this->md2Model = new MD2Model("models/tris.md2", "models/tris.pcx");
-// this->md2Model = new MD2Model("models/goblin.md2", "maps/goblin.bmp");
-//   this->obbTree = new OBBTree(4, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
-
-
+/**
+ *
+ */
 TestEntity::TestEntity(const TiXmlElement* root)
 {
   this->init();
-  if (root != NULL)
+
+  if( root != NULL)
     this->loadParams(root);
 }
 
 
+/**
+ *
+ */
 TestEntity::~TestEntity ()
 {}
 
 
-
+/**
+ *
+ */
 void TestEntity::init()
 {
   this->registerObject(this, TestEntity::_objectList);
   this->toList(OM_GROUP_00);
+}
 
-  this->lastCollided = NULL;
-  this->bDeath = false;
-}
 
 /**
@@ -90,60 +85,31 @@
   WorldEntity::loadParams(root);
 
-  LoadParam(root, "md2animation", this, TestEntity, setAnim)
-  .describe("sets the animation of the md2 model")
-  .defaultValues(1);
+  LoadParam(root, "size", this, TestEntity, setAnim)
+  .describe("set the size")
+  .defaultValues(1.0);
 
 }
 
 
-void  TestEntity::setAnim(int animationIndex, int animPlaybackMode)
-{
-  if( likely(this->getModel(0) != NULL))
-    ((InteractiveModel*)this->getModel(0))->setAnimation(animationIndex, animPlaybackMode);
-}
 
-
+/**
+ *
+ */
 void TestEntity::tick (float time)
 {
-  if( likely(this->getModel(0) != NULL))
-    ((InteractiveModel*)this->getModel(0))->tick(time);
+
 
 }
 
 
-void TestEntity::collidesWith(WorldEntity* entity, const Vector& location)
+/**
+ *
+ */
+void TestEntity::draw() const
 {
-  if( this->lastCollided != entity)
-  {
-    this->destroy( entity );
-    this->lastCollided = entity;
 
-    if(State::getGameRules())
-      State::getGameRules()->registerKill(Kill(entity, this));
-  }
 }
 
 
 
-void TestEntity::destroy(WorldEntity* killer)
-{
-  if( this->bDeath)
-    return;
 
-  this->bDeath = true;
-  int randi = (int)(5.0f * (float)rand()/(float)RAND_MAX);
-
-  PRINTF(0)("randi = %i\n", randi);
-
-  if( randi == 1)
-    this->setAnim(DEATH_FALLBACK, MD2_ANIM_ONCE);
-  else if( randi == 2)
-    this->setAnim(DEATH_FALLFORWARD, MD2_ANIM_ONCE);
-  else if( randi == 3)
-    this->setAnim(DEATH_FALLBACKSLOW, MD2_ANIM_ONCE);
-  else if( randi == 4)
-    this->setAnim(CROUCH_DEATH, MD2_ANIM_ONCE);
-  else
-    this->setAnim(DEATH_FALLBACK, MD2_ANIM_ONCE);
-}
-
Index: /trunk/src/world_entities/test_entity.h
===================================================================
--- /trunk/src/world_entities/test_entity.h	(revision 9926)
+++ /trunk/src/world_entities/test_entity.h	(revision 9927)
@@ -3,41 +3,24 @@
 
 #include "world_entity.h"
-#include "physics_interface.h"
 
-class MD2Loader;
-class MD2Model;
-class MD2Model2;
-struct t3DModel;
-class Material;
 class TiXmlElement;
-class WorldEntity;
 
-class TestEntity : public WorldEntity, public PhysicsInterface
+
+class TestEntity : public WorldEntity
 {
-  ObjectListDeclaration(TestEntity);
- public:
-  TestEntity ();
-  TestEntity(const TiXmlElement* root);
-  virtual ~TestEntity ();
+    ObjectListDeclaration(TestEntity);
 
-  void init();
-  virtual void loadParams(const TiXmlElement* root);
+  public:
+    TestEntity ();
+    TestEntity(const TiXmlElement* root);
+    virtual ~TestEntity ();
 
-  void setAnim(int animationIndex, int animPlaybackMode);
+    void init();
+    virtual void loadParams(const TiXmlElement* root);
 
-  virtual void destroy(WorldEntity* killer);
 
-  virtual void tick (float time);
-  virtual void collidesWith(WorldEntity* entity, const Vector& location);
+    virtual void tick (float time);
+    virtual void draw() const;
 
- private:
-  /* TESTING TESTING TESTING */
-  t3DModel* model;
-  MD2Model* md2Model;
-  Material* material;
-
-  WorldEntity* lastCollided;
-
-  bool bDeath;
 };
 