Index: branches/test/sdl_opengl_test/sdl_opengl_test.cc
===================================================================
--- branches/test/sdl_opengl_test/sdl_opengl_test.cc	(revision 9931)
+++ branches/test/sdl_opengl_test/sdl_opengl_test.cc	(revision 9932)
@@ -160,41 +160,5 @@
   // das ist der code, der in eine WorldEntity::draw() funktion passen wuerde
 
-  glLoadIdentity();
-  /* Move the object */
-  glTranslatef(0.0f, 0.0f, -6.0f);
-
-  /* Rotate The Triangle On The Y axis */
-  glRotatef(rtri, 0.0f, 1.0f, 0.0f);
-
-  /* Drawing the Triangles4 */
-  glBegin(GL_TRIANGLES);           /* Drawing Using Triangles        */
-  glColor3f(  2.0f,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  2.0f,  0.0f); /* Top Of Triangle (Front)        */
-  glColor3f(  0.0f,  2.0f,  0.0f); /* Green                          */
-  glVertex3f(-2.0f, -2.0f,  2.0f); /* Left Of Triangle (Front)       */
-  glColor3f(  0.0f,  0.0f,  2.0f); /* Blue                           */
-  glVertex3f( 2.0f, -2.0f,  2.0f); /* Right Of Triangle (Front)      */
-
-  glColor3f(  2.0f,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  2.0f,  0.0f); /* Top Of Triangle (Right)        */
-  glColor3f(  0.0f,  0.0f,  2.0f); /* Blue                           */
-  glVertex3f( 2.0f, -2.0f,  2.0f); /* Left Of Triangle (Right)       */
-  glColor3f(  0.0f,  2.0f,  0.0f); /* Green                          */
-  glVertex3f( 2.0f, -2.0f, -2.0f); /* Right Of Triangle (Right)      */
-
-  glColor3f(  2.0f,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  2.0f,  0.0f); /* Top Of Triangle (Back)         */
-  glColor3f(  0.0f,  2.0f,  0.0f); /* Green                          */
-  glVertex3f( 2.0f, -2.0f, -2.0f); /* Left Of Triangle (Back)        */
-  glColor3f(  0.0f,  0.0f,  2.0f); /* Blue                           */
-  glVertex3f(-2.0f, -2.0f, -2.0f); /* Right Of Triangle (Back)       */
-
-  glColor3f(  2.0f,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  2.0f,  0.0f); /* Top Of Triangle (Left)         */
-  glColor3f(  0.0f,  0.0f,  2.0f); /* Blue                           */
-  glVertex3f(-2.0f, -2.0f, -2.0f); /* Left Of Triangle (Left)        */
-  glColor3f(  0.0f,  2.0f,  0.0f); /* Green                          */
-  glVertex3f(-2.0f, -2.0f,  2.0f); /* Right Of Triangle (Left)       */
-  glEnd();                         /* Finished Drawing The Triangles */
+
   /* ================================== WorldEntity zeichnen fertig ================================ */
 
Index: branches/test/src/world_entities/test_entity.cc
===================================================================
--- branches/test/src/world_entities/test_entity.cc	(revision 9931)
+++ branches/test/src/world_entities/test_entity.cc	(revision 9932)
@@ -72,6 +72,4 @@
 void TestEntity::init()
 {
-  this->rtri = 0;
-
   this->registerObject(this, TestEntity::_objectList);
   this->toList(OM_GROUP_01);
@@ -95,5 +93,4 @@
 void TestEntity::tick (float time)
 {
-  this->rtri  += 2.0f;
 
 }
@@ -110,41 +107,13 @@
   glMatrixMode(GL_MODELVIEW);
   glDisable(GL_LIGHTING);
-  //glDisable(GL_BLEND);
-  /* Move the object */
+
+  /* Move the object near the starting point of our spaceship*/
   glTranslatef(-1200.0f, 300.0f, 700.0f);
-  glRotatef(rtri, 0.0f, 1.0f, 0.0f);
-  /* Rotate The Triangle On The Y axis */
 
-  /* Drawing the Triangles4 */
-  glBegin(GL_TRIANGLES);           /* Drawing Using Triangles        */
-  glColor3f(  20,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  20,  0.0f); /* Top Of Triangle (Front)        */
-  glColor3f(  0.0f,  20,  0.0f); /* Green                          */
-  glVertex3f(-20, -20,  20); /* Left Of Triangle (Front)       */
-  glColor3f(  0.0f,  0.0f,  20); /* Blue                           */
-  glVertex3f( 20, -20,  20); /* Right Of Triangle (Front)      */
 
-  glColor3f(  20,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  20,  0.0f); /* Top Of Triangle (Right)        */
-  glColor3f(  0.0f,  0.0f,  20); /* Blue                           */
-  glVertex3f( 20, -20,  20); /* Left Of Triangle (Right)       */
-  glColor3f(  0.0f,  20,  0.0f); /* Green                          */
-  glVertex3f( 20, -20, -20); /* Right Of Triangle (Right)      */
 
-  glColor3f(  20,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  20,  0.0f); /* Top Of Triangle (Back)         */
-  glColor3f(  0.0f,  20,  0.0f); /* Green                          */
-  glVertex3f( 20, -20, -20); /* Left Of Triangle (Back)        */
-  glColor3f(  0.0f,  0.0f,  20); /* Blue                           */
-  glVertex3f(-20, -20, -20); /* Right Of Triangle (Back)       */
 
-  glColor3f(  20,  0.0f,  0.0f); /* Red                            */
-  glVertex3f( 0.0f,  20,  0.0f); /* Top Of Triangle (Left)         */
-  glColor3f(  0.0f,  0.0f,  20); /* Blue                           */
-  glVertex3f(-20, -20, -20); /* Left Of Triangle (Left)        */
-  glColor3f(  0.0f,  20,  0.0f); /* Green                          */
-  glVertex3f(-20, -20,  20); /* Right Of Triangle (Left)       */
-  glEnd();                         /* Finished Drawing The Triangles */
-  
+
+
   glPopAttrib();
   glPopMatrix();