Index: code/branches/presentationHS13/data/levels/presentationHS13.oxw
===================================================================
--- code/branches/presentationHS13/data/levels/presentationHS13.oxw	(revision 9937)
+++ code/branches/presentationHS13/data/levels/presentationHS13.oxw	(revision 9938)
@@ -22,4 +22,5 @@
   include("templates/spaceshipCollateralDamage.oxt")
   include("templates/FPS.oxt")
+  include("templates/HeavyCruiser.oxt")
 ?>
 
@@ -45,5 +46,5 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0,1.0,1.0,0.5" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="3200,0,0" lookat="2800,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="4320,1610,-741" lookat="2800,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
 
@@ -75,5 +76,49 @@
     <Dock position="2830,20,50" roll=0 yaw=0 >
         <animations>
-            <MoveToDockingTarget target="destroyer" />
+            <MoveToDockingTarget target="fistperson" />
+        </animations>
+        <effects>
+            <DockToShip target="fistperson" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dockMe" />
+            </execute>
+
+	    <undocking>
+		<EventListener event="undockMe" />
+	    </undocking>
+	
+        </events>
+        <attached>
+	<!-- Trigger for docking with billboard -->
+            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
+            <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
+                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
+            />
+	<!-- Trigger for undocking with billboard -->
+	    <Billboard position="-2800,-20055,-700" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
+	    <DistanceTrigger position="-2800,-20055,-700" distance="150" target="Pawn"
+                beaconMode="identify" targetname="bcnDestroyer" name="undockMe"
+            />
+        </attached>
+
+    </Dock>
+    
+<!-- FPS Player as destination of the dock -->
+    <FpsPlayer template = "fps" radarname = "First Person Player" position = "172,-20000,-676" >
+      <attached>
+        <DistanceTriggerBeacon name="bcnDestroyer" />
+        <DockingTarget name="fistperson" />
+      </attached>
+    </FpsPlayer>
+
+
+
+
+<!-- Docking  II -->
+    <Dock position="-840,-20055,1.8" roll=0 yaw=0 >
+        <animations>
+            <MoveToDockingTarget target="spaceShip" />
         </animations>
         <effects>
@@ -89,18 +134,15 @@
 	    </undocking>
 	
-            <activity>
-                <EventListener event=notGameEnd />
-            </activity>
         </events>
         <attached>
 	<!-- Trigger for docking with billboard -->
-            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
+            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.3,0.4,0.5" scale=1 />
             <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
-                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
+                beaconMode="exclude" targetname="bcnSpaceShip" name="dockMe"
             />
 	<!-- Trigger for undocking with billboard -->
-	    <Billboard position="-2800,-20055,-700" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=10 />
-	    <DistanceTrigger position="-2800,-20055,-700" distance="150" target="Pawn"
-                beaconMode="identify" targetname="bcnDestroyer" name="undockMe"
+	    <Billboard position="4140,20055,-295" material="Flares/ringflare2" colour="0.3,0.4,0.5" scale=1 />
+	    <DistanceTrigger position="4140,20055,-295" distance="300" target="Pawn"
+                beaconMode="identify" targetname="bcnSpaceShip" name="undockMe"
             />
         </attached>
@@ -108,15 +150,30 @@
     </Dock>
 
-<!-- FPS Player as destination of the dock -->
-    <FpsPlayer template = "fps" radarname = "First Person Player" position = "0,-20000,0" >
+    <SpaceShip
+        template            = "HeavyCruiser"
+        team                = "0"
+        position            = "3600,-20,-120"
+        orientation         = "1,0,0,0"
+        health              = "400"
+        initialhealth       = "400"
+        maxhealth           = "500"
+        shieldhealth        = "80"
+        initialshieldhealth = "80"
+        maxshieldhealth     = "120"
+        shieldabsorption    = "0.8"
+        reloadrate          = "1"
+        reloadwaittime      = "1"
+        name                = "Tanis1"
+        radarname           = "Tanis Cruiser" >
       <attached>
         <DockingTarget name="spaceShip" />
-        <DistanceTriggerBeacon name="bcnDestroyer" />
-        <DockingTarget name="destroyer" />
-      </attached>
-    </FpsPlayer>
-
-
-<!-- Cube as test SpaceStation
+        <DistanceTriggerBeacon name="bcnSpaceShip" />
+      </attached>
+    </SpaceShip>
+
+
+
+
+<!-- SpaceStation
 
 The station can either be hidden outside of the skybox, within the hull of the space station if it is big enough or within a planet.